Subject: RE: [PATCH 5/5] config: add default aliases

From: "Randall S. Becker" <[email-masked]>
Date: Fri, 2 Jul 2021 18:03:07 -0400

On July 2, 2021 10:44 AM, martin wrote:
>To: Randall S. Becker <[email-masked]>; 'Ævar Arnfjörð Bjarmason' <[email-masked]>
>Cc: 'Felipe Contreras' <[email-masked]>; 'Andreas Schwab' <[email-masked]>; [email-masked]; 'Junio C
>Hamano' <[email-masked]>
>Subject: Re: [PATCH 5/5] config: add default aliases
>
>On 02/07/2021 16:15, Randall S. Becker wrote:
>> On July 2, 2021 9:42 AM, Ævar Arnfjörð Bjarmason wrote:
>>> So aside from the "are these aliases good idea?" discussion, would
>>> you prefer if they're implemented that we theat them the exact same
>>> way we do "git fsck-objects" and "git fsck"? I.e. list them twice in git.c, just pointing to the same cmd_fsck?
>> Without knowing the full history of why the duplication, yes. That would be my preference. If it is a git command, it should be handled
>like one as closely as possible. Presumably, it also would show up in git help -a. I would not expect aliases to show in help.
>>
>But, if it is a git command, can you still overwrite it with your on alias?
>
>As it was pointed out, some of those are used by people as aliases for other things already.

If an alias overwrites/overrides a git command, I would expect NIST to have a proverbial cow and a CVE will be raised, probably by me.

Overriding base product functionality with something that does something other than what is documented is a highly questionable practice.